Debian Bug report logs - #712408
ITP: libpgobject-simple-perl -- Minimalist stored procedure mapper based on LedgerSMB's DBObject.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: RJ Clay <jame@rocasa.us>

Date: Sat, 15 Jun 2013 17:06:19 UTC

Owned by: RJ Clay <jame@rocasa.us>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#712408; Package wnpp. (Sat, 15 Jun 2013 17:06:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to RJ Clay <jame@rocasa.us>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sat, 15 Jun 2013 17:06:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: RJ Clay <jame@rocasa.us>
To: submit@bugs.debian.org
Subject: ITP: libpgobject-simple-perl -- Minimalist stored procedure mapper based on LedgerSMB's DBObject.
Date: Sat, 15 Jun 2013 10:57:20 -0400
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libpgobject-simple-perl
  Version         : 1.3
  Upstream Author : Chris Travers <chris.travers@gmail.com>
* URL or Web page : http://search.cpan.org/dist/PGObject-Simple/
* License         : BSD (2 clause)
  Description     : PGObject::Simple - Minimalist stored procedure
  mapper based on LedgerSMB's DBObject.

PGObject::Simple a top-half object system for PGObject which is simple
and inspired by (and a subset functionally speaking of) the simple
stored procedure object method system of LedgerSMB 1.3. The framework
discovers stored procedure APIs and dispatches to them and can
therefore be a base for application-specific object models and much
more.

PGObject::Simple is designed to be light-weight and yet robust glue
between your object model and the RDBMS's stored procedures. It works
by looking up the stored procedure arguments, stripping them of the
conventional prefix 'in_', and mapping what is left to object property
names. Properties can be overridden by passing in a hashrefs in the
args named argument. Named arguments there will be used in place of
object properties.

This system is quite flexible, perhaps too much so, and it relies on the
database encapsulating its own logic behind self-documenting stored
procedures using consistent conventions. No function which is expected
to be discovered can be overloaded, and all arguments must be named for
their object properties. For this reason the use of this module
fundamentally changes the contract of the stored procedure from that of
a fixed number of arguments in fixed types contract to one where the
name must be unique and the stored procedures must be coded to the
application's interface. This inverts the way we typically think about
stored procedures and makes them much more application friendly.



Owner recorded as RJ Clay <jame@rocasa.us>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 16 Jun 2013 08:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, RJ Clay <jame@rocasa.us>:
Bug#712408; Package wnpp. (Sun, 25 Aug 2013 11:03:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, RJ Clay <jame@rocasa.us>. (Sun, 25 Aug 2013 11:03:22 GMT) Full text and rfc822 format available.

Message #12 received at 712408@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: 223905@bugs.debian.org
Subject: Packaging work continues...
Date: Sun, 25 Aug 2013 07:00:14 -0400
I was offline for awhile but am now back; but I also just moved and am
still in the process of getting set back up again for development
work.  Packaging work will continue as that process gets resolved.


-- 
Robert J. Clay
jame@rocasa.us
rclay@gmail.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:42:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.